---
apiVersion: monitoring.coreos.com/v1
kind: PrometheusRule
metadata:
  annotations:
    exclude.release.openshift.io/internal-openshift-hosted: "true"
  creationTimestamp: "2022-03-08T10:14:06Z"
  generation: 1
  managedFields:
  - apiVersion: monitoring.coreos.com/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:exclude.release.openshift.io/internal-openshift-hosted: {}
      f:spec:
        .: {}
        f:groups: {}
    manager: cluster-version-operator
    operation: Update
    time: "2022-03-08T10:14:06Z"
  name: cloud-credential-operator-alerts
  namespace: openshift-cloud-credential-operator
  resourceVersion: "1430"
  selfLink: /apis/monitoring.coreos.com/v1/namespaces/openshift-cloud-credential-operator/prometheusrules/cloud-credential-operator-alerts
  uid: 09260d39-640f-4c54-9f96-d05c71fe0f19
spec:
  groups:
  - name: CloudCredentialOperator
    rules:
    - alert: CloudCredentialOperatorTargetNamespaceMissing
      annotations:
        message: CredentialsRequest(s) pointing to non-existant namespace
      expr: cco_credentials_requests_conditions{condition="MissingTargetNamespace"} > 0
      for: 5m
      labels:
        severity: warning
    - alert: CloudCredentialOperatorProvisioningFailed
      annotations:
        message: CredentialsRequest(s) unable to be fulfilled
      expr: cco_credentials_requests_conditions{condition="CredentialsProvisionFailure"} > 0
      for: 5m
      labels:
        severity: warning
    - alert: CloudCredentialOperatorDeprovisioningFailed
      annotations:
        message: CredentialsRequest(s) unable to be cleaned up
      expr: cco_credentials_requests_conditions{condition="CredentialsDeprovisionFailure"} > 0
      for: 5m
      labels:
        severity: warning
    - alert: CloudCredentialOperatorInsufficientCloudCreds
      annotations:
        message: Cluster's cloud credentials insufficient for minting or passthrough
      expr: cco_credentials_requests_conditions{condition="InsufficientCloudCreds"} > 0
      for: 5m
      labels:
        severity: warning
